<div class="results" *ngIf="jobData; else loadingIndicator">
  <div class="results_control-block control-block">
    <button mat-button color="primary" class="control-block__button" (click)="returnToInput()">Cancel</button>
    <button mat-flat-button color="primary" class="control-block__button" (click)="saveJobData()">Save</button>
    <button mat-flat-button color="primary" class="control-block__button" (click)="exportJobData()">Export</button>
  </div>
  <div class="results__wrapper entry-data">
    <div class="results__header">
      <span class="results__title">Entry Data</span>
      <span class="results__edit-button" [routerLink]="samplesLink" (click)="editJobData()">Edit</span>
    </div>
    <hr class="results__separator" />
    <klinkenberg-table-input [data]="jobData.input" class="results__table"></klinkenberg-table-input>
  </div>
  <div class="results__wrapper results-data">
    <div class="results__header">
      <span class="results__title results-data__title">Results</span>
      <span class="results-data__info">* use if NO P mean data available</span>
    </div>
    <hr class="results__separator" />
    <klinkenberg-table-output [data]="jobData.output" class="results__table"></klinkenberg-table-output>
  </div>

  <div class="results__chart">
    <klinkenberg-chart [data]="chartData"></klinkenberg-chart>
  </div>
</div>

<ng-template #loadingIndicator>
  <div class="loading-indicator">
    <mat-spinner></mat-spinner>
  </div>
</ng-template>
